Bug 1021251 - /undefinedfilename in --.findfont--
/undefinedfilename in --.findfont--
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On: 1021755
Blocks: 1142784
  Show dependency treegraph
 
Reported: 2013-10-20 14:17 EDT by Mario Blättermann
Modified: 2015-02-02 13:24 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-02 13:24:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mario Blättermann 2013-10-20 14:17:55 EDT
Description of problem:

While building a rpm package which needs ghostscript, I get an error message:

build/make_packaged_resource src/preamble.ps build/packaged_resource/Resource/Category/uk.co.terryburton.bwipp
GPL Ghostscript 9.10: Unrecoverable error, exit code 1
GS error at build/make_packaged_resource line 58.
Error: /undefinedfilename in --.findfont--
Operand stack:
   Helvetica   18   Helvetica   Font   Helvetica   4445597   Helvetica   --nostringval--   Helvetica   NimbusSanL-Regu   (/usr/share/ghostscript/9.10/Resource/Font/NimbusSanL-Regu)   (/usr/share/ghostscript/9.10/Resource/Font/NimbusSanL-Regu)   (r)
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   false   1   %stopped_push   1884   1   3   %oparray_pop   1883   1   3   %oparray_pop   1867   1   3   %oparray_pop   1755   1   3   %oparray_pop   --nostringval--   %errorexec_pop   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   1789   2   5   %oparray_pop   --nostringval--   false   1   %stopped_push   --nostringval--   1836   3   5   %oparray_pop   --nostringval--   false   1   %stopped_push   1829   4   5   %oparray_pop   findresource   %errorexec_pop   --nostringval--   --nostringval--   --nostringval--   --nostringval--   --nostringval--   --nostringval--   false   1   %stopped_push   1778   7   6   %oparray_pop   --nostringval--   --nostringval--   --nostringval--   --nostringval--   --nostringval--   1   %stopped_push   --nostringval--   %loop_continue   --nostringval--   --nostringval--   false   1   %stopped_push
Dictionary stack:
   --dict:1177/1684(ro)(G)--   --dict:0/20(G)--   --dict:82/200(L)--   --dict:24/24(ro)(L)--   --dict:82/200(L)--   --dict:20/27(ro)(G)--   --dict:1177/1684(ro)(G)--
Current allocation mode is local
Current file position is 40427
RPM build errors:
make: *** [build/packaged_resource/Resource/Category/uk.co.terryburton.bwipp] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.SNY4En (%build)
    Bad exit status from /var/tmp/rpm-tmp.SNY4En (%build)


See http://koji.fedoraproject.org/koji/taskinfo?taskID=6081599.

Version-Release number of selected component (if applicable):
ghostscript-9.10-4.fc21


Steps to Reproduce:

See the current spec file:
http://mariobl.fedorapeople.org/Review/SPECS/postscriptbarcode.spec

The mentioned build.log will be crowded in a few weeks, that's why I've saved here:
http://mariobl.fedorapeople.org/Review/postscriptbarcode-build.log
Comment 1 Akira TAGOH 2013-10-21 04:03:32 EDT
I don't know if it is the same issue being reported to Bug#921706 though, the scriptlet in urw-fonts looks not good to me BTW. they should run fc-cache %{fontdir} instead of %{_datadir}/fonts to reduce the runtime of fc-cache and should be a workaround if there are another race condition on fc-cache.

just FYI
Comment 2 Tim Waugh 2013-10-23 10:47:44 EDT
Need to re-test after bug #1021755 is fixed.
Comment 3 Mario Blättermann 2015-01-02 16:22:26 EST
I've updated postscriptbarcode today to the latest version. The f21 build was successful, but the Rawhide one failed with the following error message:

...
GPL Ghostscript 9.15: Unrecoverable error, exit code 1
GS create resource error at build/make_resource line 69.
Error: /invalidfont in --selectfont--
Operand stack:
   Helvetica   18   Helvetica
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   false   1   %stopped_push   1951   1   3   %oparray_pop   1950   1   3   %oparray_pop   1934   1   3   %oparray_pop   1820   1   3   %oparray_pop   --nostringval--   %errorexec_pop   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   1854   2   5   %oparray_pop
Dictionary stack:
   --dict:1189/1684(ro)(G)--   --dict:0/20(G)--   --dict:82/200(L)--   --dict:45/45(ro)(L)--   --dict:82/200(L)--
Current allocation mode is local
Last OS error: Not a directory
Current file position is 54023
Makefile:161: recipe for target 'build/packaged_resource/Resource/Category/uk.co.terryburton.bwipp' failed
make: *** [build/packaged_resource/Resource/Category/uk.co.terryburton.bwipp] Error 1
...

See https://kojipkgs.fedoraproject.org//work/tasks/5381/8515381/build.log
Comment 4 Tim Waugh 2015-01-30 13:05:30 EST
Was this fixed with a recent urw-fonts build?

https://bugzilla.redhat.com/show_bug.cgi?id=1171756#c5

Could you re-test please?
Comment 5 Mario Blättermann 2015-01-30 13:22:06 EST
Yes, it builds:
http://koji.fedoraproject.org/koji/taskinfo?taskID=8784229

I keep this ticket open until Rex confirms that it also fixes bz1142784.

Note You need to log in before you can comment on or make changes to this bug.